import {Component, OnInit} from '@angular/core';
import {MsgService} from "../../../core/service/msg.service";
import {FrameService} from "../../../core/service/frame.service";
import { Router } from '@angular/router';


@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  constructor(private router: Router) {
  }

  ngOnInit() {
    if(FrameService.FrameOptr&&FrameService.FrameOptr.home_page) {
      this.router.navigate([FrameService.FrameOptr.home_page]);
    }
  }

  showMsg() {
    console.log(FrameService.ParamMap['AjaxTimeout'] || 60000);
  }

}
